Search
K
instruction v1

Lender Instruction

v1OAS 3.0

These APIs provide access to PEXA Group services, enabling lenders to create, update and cancel case instructions via API.

API Base URL
  • Server 1:https://api.pexa.co.uk

    API Gateway URL

Security
oauth2 (oauth2)

Client Credentials OAuth Flow

Token URL: https://login.pexauk.co.uk/oauth/token

Scopes:

  • x-api:create:instructions - Create instructions
  • x-api:edit:instructions - Update instructions
  • x-api:cancel:instructions - Cancel instructions

Create Instruction

This endpoint enables a lender to create a new case instruction with either the panel management firm or the allocated law firm.

post
https://api.pexa.co.uk/partner/api/platformconnect/v1/instructions

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json
routingConfigobjectrequired

Information used to determine where to route the instruction

Show Child Parameters
instructionsDetailsobjectrequired
Show Child Parameters

Response

application/json

CREATED

instructionIdstring(uuid)required

Unique identifier for the created instruction

workspaceIdstring(uuid)

Unique identifier for the associated PEXA workspace

partiesOne Of
array

Information about the applicants, introducer, and outgoing lender

Variant 1object
Show Child Parameters
post/partner/api/platformconnect/v1/instructions

Body

{ "routingConfig": { "assignedPanelManager": "SMOOVE", "assignedPanelLawFirm": "PANEL123", "pexaEligible": true }, "instructionsDetails": { "reference": "LENDER-REF-001", "loanAmount": 250000, "transactionType": "PURCHASE", "serviceLevel": "STANDARD", "lender": { "accountNumber": "12345678", "sortCode": "12-34-56" }, "property": { "jurisdiction": "ENGLAND_WALES", "country": "ENGLAND", "address": { "flat": "Flat 2", "name": "The Manor House", "number": "123", "street": "High Street", "town": "London", "postcode": "SW1A 1AA" }, "unencumbered": false, "tenure": "FREEHOLD", "occupancyType": "OWNER_OCCUPIED", "newBuild": false }, "parties": [ { "type": "INDIVIDUAL", "role": "BORROWER", "partyDetails": { "forenames": "John Michael", "surname": "Smith", "title": "Mr", "dateOfBirth": "1985-06-15", "mobile": 7123456789, "email": "john.smith@email.com" }, "addresses": [ { "type": "REGISTERED_ADDRESS", "details": { "flat": "Flat 2", "name": "The Manor House", "number": "123", "street": "High Street", "town": "London", "postcode": "SW1A 1AA" } } ] } ], "mortgagePrisoner": false } }
 
application/json

Update Instruction

This endpoint enables a lender to update existing case instruction data with either the panel management firm or the allocated law firm.

patch
https://api.pexa.co.uk/partner/api/platformconnect/v1/instructions/{instruction_id}

Path Parameters

instruction_idstringrequired

The unique identifier for the instruction to be updated

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json
loanAmountnumber(double)

The amount of the loan

>= 1

propertyobject
Show Child Parameters
partiesOne Of
array

Information about the applicants and outgoing lender (up to 4 applicants plus outgoing lender as needed)

Variant 1object
Show Child Parameters
mortgagePrisonerboolean

Indicates if this is a mortgage prisoner

Response

OK

patch/partner/api/platformconnect/v1/instructions/{instruction_id}

Body

{ "loanAmount": 250000, "property": { "address": { "flat": "Flat 2", "name": "The Manor House", "number": "123", "street": "High Street", "town": "London", "postcode": "SW1A 1AA" }, "unencumbered": false, "newBuild": false }, "parties": [ { "partyId": "7e80ae84-6e82-4227-8c45-1dd1bdbbc97e", "type": "INDIVIDUAL", "partyDetails": { "forenames": "John Michael", "surname": "Smith", "title": "Mr", "dateOfBirth": "1985-06-15", "mobile": 7123456789, "phone": 2079460000, "email": "john.michael@gmail.com" }, "addresses": [ { "type": "REGISTERED_ADDRESS", "details": { "flat": "Flat 2", "name": "The Manor House", "number": "123", "street": "High Street", "town": "London", "postcode": "SW1A 1AA", "county": "Yorkshire" } } ] } ], "mortgagePrisoner": false }
 

Cancel Instruction

This endpoint enables a lender to cancel an existing case instruction with either the panel management firm or the allocated law firm.

delete
https://api.pexa.co.uk/partner/api/platformconnect/v1/instructions/{instruction_id}

Path Parameters

instruction_idstringrequired

The unique identifier for the instruction to be cancelled

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json
cancellationReasonstringrequired

Reason for cancelling the instruction.

Allowed values:
[OTHER]

Match pattern:^(OTHER)$

Example:OTHER

cancellationNotesForOtherstring

Mandatory when cancellationReason “OTHER” is provided

>= 1 characters<= 100 characters

Example:Incorrect details provided

Response

No Content

delete/partner/api/platformconnect/v1/instructions/{instruction_id}

Body

{ "cancellationReason": "OTHER", "cancellationNotesForOther": "Incorrect details provided" }
 

CreateInstructionRequest

object
routingConfigobjectrequired

Information used to determine where to route the instruction

Show Child Parameters
instructionsDetailsobjectrequired
Show Child Parameters
Example